Package org.apache.sling.feature.maven.mojos

# Enum UpdateVersionsMojo.Scope

java.lang.Object
java.lang.Enum<UpdateVersionsMojo.Scope>
org.apache.sling.feature.maven.mojos.UpdateVersionsMojo.Scope

All Implemented Interfaces:
  `Serializable`, `Comparable<UpdateVersionsMojo.Scope>`

Enclosing class:
  `UpdateVersionsMojo`

public static enum UpdateVersionsMojo.Scope extends Enum<UpdateVersionsMojo.Scope>
Enumeration for the update scopes

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
`INCREMENTAL`
`MAJOR`
`MINOR`
`SUBINCREMENTAL`

## Method Summary

Modifier and Type
Method
Description
`static UpdateVersionsMojo.Scope`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UpdateVersionsMojo.Scope[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ANY

public static final UpdateVersionsMojo.Scope ANY

### MAJOR

public static final UpdateVersionsMojo.Scope MAJOR

### MINOR

public static final UpdateVersionsMojo.Scope MINOR

### INCREMENTAL

public static final UpdateVersionsMojo.Scope INCREMENTAL

### SUBINCREMENTAL

public static final UpdateVersionsMojo.Scope SUBINCREMENTAL

## Method Details

### values

public static UpdateVersionsMojo.Scope[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UpdateVersionsMojo.Scope valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null